GCLOUD_AUTH_ACTIVATE-SERVICE-ACCOUNT(1)

NAME

gcloud auth activate-service-account - get credentials via the private key for a service account

SYNOPSIS

gcloud auth activate-service-account [ACCOUNT] --key-file KEY_FILE [--password-file PASSWORD_FILE | --prompt-for-password] [GLOBAL-FLAG ...]

DESCRIPTION
Get credentials for a service account, using a .json file or a .p12 file for the private key. Password is only applicable for .p12 file. If --project is set, set the default project.

POSITIONAL ARGUMENTS
[ACCOUNT]
    The email for the service account.

REQUIRED FLAGS
--key-file KEY_FILE
    Path to the service accounts private key.

OPTIONAL FLAGS
--password-file PASSWORD_FILE
    Path to a file containing the password for the service account private key (only for .p12 file).
--prompt-for-password
    Prompt for the password for the service account private key (only for .p12 file).

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.